php please update:addons not working (OAuth Bridge)

I'm trying to set up OAuth via the directions in the docs, but every time I try running php please update:addons it throws an error saying out of memory.

Full Error:

The command "php composer.phar update statamic/oauth-bridge --prefer-dist --no-dev --optimize-autoloader" failed.
Exit Code: 255(Unknown error)

Output:
================

Fatal error: Out of memory (allocated 799911936) (tried to allocate 15161586 bytes) in phar:///home2/staffofsurvival/arches-academy.com/statamic/composer.phar/src/Composer/Util/RemoteFilesystem.php on line 459


Error Output:
================
Loading composer repositories with package information
Warning from https://repo.packagist.org: Support for Composer 1 is deprecated and some packages will not be available. You should upgrade to Composer 2. See https://blog.packagist.com/deprecating-composer-1-support/
Updating dependencies

mmap() failed: [12] Cannot allocate memory

mmap() failed: [12] Cannot allocate memory


I've tried updating php.ini to include a higher memory limit (even trying -1 for unlimited), and the same issue pop up. I even got on with my hosting provider live chat, and they tried everything they can think of behind the scenes, and nothing worked. Is there something I'm missing that could fix it?

I'm running Statamic 2.11.21, with PHP 7.0.33. Everything else works fine, but I can't seem to run the update command. Maybe is there a way to set up oauth without the addon being set up?

>>>>>>> Unanswered <<<<<<<
2 Replies
2 Followers